# saveload_filter.h File Reference

Declaration of filters used for saving and loading savegames. More...

Go to the source code of this file.

## Data Structures
struct | LoadFilter
| Interface for filtering a savegame till it is loaded. More...
struct | SaveFilter
| Interface for filtering a savegame till it is written. More...
## Functions
template<typename T >
LoadFilter * | CreateLoadFilter (LoadFilter *chain)
| Instantiator for a load filter.
template<typename T >
SaveFilter * | CreateSaveFilter (SaveFilter *chain, byte compression_level)
| Instantiator for a save filter.

## Detailed Description

Declaration of filters used for saving and loading savegames.

Definition in file saveload_filter.h.

## Function Documentation

template<typename T >

LoadFilter* CreateLoadFilter | ( | LoadFilter * | chain | ) | `[inline]`

Instantiator for a load filter.

Parameters:

  | chain | The next filter in this chain.

Template Parameters:

  | T | The type of load filter to create.

Definition at line 56 of file saveload_filter.h.

template<typename T >

SaveFilter* CreateSaveFilter | ( | SaveFilter * | chain,
|  | byte | compression_level |
| ) |  |  | `[inline]`

Instantiator for a save filter.

Parameters:

  | chain | The next filter in this chain.
  | compression_level | The requested level of compression.

Template Parameters:

  | T | The type of save filter to create.

Definition at line 102 of file saveload_filter.h.